View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000454Ecere SDKidepublic2010-07-26 03:032013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000454: ide: debugger: adding files in project directories: debugger is broken
Descriptiondebugger broken when you add file from the project directory
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000261)
redj (administrator)
2010-07-26 05:44

an old note: I was able to hit a breakpoint... more info?
(0000266)
jerome (administrator)
2010-07-26 12:08

I think this is specific to a shared library dependency project (Add project to workspace), as opposed to a single Executable project.
(0000335)
jerome (administrator)
2010-08-15 19:30

This might have to do with a source file in the project dir, but in the IDE project inside a 'src' project folder. They get marked in the JSON .epj files as "./file.ec"
(0000435)
jerome (administrator)
2011-02-13 04:44
edited on: 2011-02-13 04:47

We've fixed this as part of our Feb 12, 2011 ESoC focusing on a Workspace / Debugger breakpoints cleanup.
There was a PathCat fix to keep relative paths with more than one ../ which affected the #line added to .c files generated by ecc


- Issue History
Date Modified Username Field Change
2010-07-26 03:03 redj New Issue
2010-07-26 03:03 redj Relationship added child of 0000429
2010-07-26 05:44 redj Note Added: 0000261
2010-07-26 12:08 jerome Note Added: 0000266
2010-07-26 19:34 thexa4 Fixed in Version => 0.44 draft 2
2010-08-15 19:30 jerome Note Added: 0000335
2010-09-05 01:02 redj Status new => assigned
2010-09-05 01:02 redj Assigned To => redj
2010-12-04 23:24 jerome Category => Debugger
2011-02-13 04:44 jerome Status assigned => resolved
2011-02-13 04:44 jerome Resolution open => fixed
2011-02-13 04:44 jerome Note Added: 0000435
2011-02-13 04:47 jerome Note Edited: 0000435
2011-11-03 15:26 jerome Relationship added related to 0000666
2011-11-03 15:26 jerome Relationship deleted related to 0000666
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:35 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker